Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class DomainType

    java.lang.Object
      org.deegree.owscommon_1_1_0.DomainType

    public class DomainType

extends Object

`DomainType` encapsulation of the domaintype parameters, used in a operationmetadata of ows 1.1.0

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`DomainType(List<String> values, List<Range> ranges, boolean anyValue, boolean noValues, Pair<String,String> valuesReference, String defaultValue, Pair<String,String> meaning, Pair<String,String> dataType, Pair<String,String> uom, Pair<String,String> referenceSystem, List<Metadata> metadataAttribs, String name)`

Method Summary
`Pair<String,String>` | `getDataType()`
`String` | `getDefaultValue()`
`Pair<String,String>` | `getMeaning()`
`List<Metadata>` | `getMetadataAttribs()`
`String` | `getName()`
`List<Range>` | `getRanges()`
`Pair<String,String>` | `getReferenceSystem()`
`Pair<String,String>` | `getUom()`
`List<String>` | `getValues()`
`Pair<String,String>` | `getValuesReference()`
`boolean` | `hasAllowedValues()`
`boolean` | `hasAnyValue()`
`boolean` | `hasNoValues()`
`boolean` | `hasValuesUnit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainType

    public DomainType(List<String> values,
                      List<Range> ranges,
                      boolean anyValue,
                      boolean noValues,
                      Pair<String,String> valuesReference,
                      String defaultValue,
                      Pair<String,String> meaning,
                      Pair<String,String> dataType,
                      Pair<String,String> uom,
                      Pair<String,String> referenceSystem,
                      List<Metadata> metadataAttribs,
                      String name)

Parameters:
  `values` - `null` if allowedvalues was not set
  `ranges` - `null` if allowedvalues was not set
  `valuesReference` - `null` if not set
  `noValues` - true if the noValues element was set.
  `anyValue` - true if the anyvalues element was set.
  `defaultValue` -
  `meaning` - a pair containing <text(), reference-attribute> values
  `dataType` - a pair containing <text(), reference-attribute> values
  `uom` - a pair containing <text(), reference-attribute> values
  `referenceSystem` - a pair containing <text(), reference-attribute> values
  `metadataAttribs` - list containing metadatas
  `name` - attribute.

Method Detail

### hasAllowedValues

    public boolean hasAllowedValues()

  Returns:
    true if the allowedValues was defined.

### getValues

    public final List<String> getValues()

  Returns:
    the values `null` if none present

### getRanges

    public final List<Range> getRanges()

  Returns:
    the ranges `null` if none present

### getDefaultValue

    public final String getDefaultValue()

  Returns:
    the defaultValues `null` if none present

### getMeaning

    public final Pair<String,String> getMeaning()

  Returns:
    the meaning <text(), reference-attribute> or `null` if none present

### getDataType

    public final Pair<String,String> getDataType()

  Returns:
    the dataType <text(), reference-attribute> or `null` if none present

### hasValuesUnit

    public final boolean hasValuesUnit()

  Returns:
    true if the DomaintType valuesUnit was set (uom || referencesystem != null ).

### getUom

    public final Pair<String,String> getUom()

  Returns:
    the uom, <text(), reference-attribute> or `null` if none present

### getReferenceSystem

    public final Pair<String,String> getReferenceSystem()

  Returns:
    the referenceSystem <text(), reference-attribute> or `null` if none present

### getMetadataAttribs

    public final List<Metadata> getMetadataAttribs()

  Returns:
    the metadataAttribs may be empty but will never be `null`.

### getName

    public final String getName()

  Returns:
    the name, mandatory not `null`

### hasAnyValue

    public final boolean hasAnyValue()

  Returns:
    true if the anyValue element was set.

### hasNoValues

    public final boolean hasNoValues()

  Returns:
    true if the noValues element was set.

### getValuesReference

    public final Pair<String,String> getValuesReference()

  Returns:
    the valuesReference <text(), reference-attribute> or `null` if none present

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org